## python-sushy-cli 0.3.1

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 sushycli tests

test: ## run tests quickly with the default Python
	python setup.py test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source sushycli setup.py test
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/sushycli.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ sushycli
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sushy>=3.2.0  # Apache-2.0
cliff>=2.17.0 # Apache-2.0
urllib3>=1.22  # MIT

=== debian/changelog ===
python-sushy-cli (0.3.1-3) unstable; urgency=medium

  * Add dh_python3 --shebang=/usr/bin/python3 (Closes: #976765)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2020 00:04:10 +0100

python-sushy-cli (0.3.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Added a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 14:17:01 +0200

python-sushy-cli (0.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 20:29:11 +0200

python-sushy-cli (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #969959)

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 12:11:39 +0200

=== debian/control ===
Source: python-sushy-cli
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff (>= 2.17.0),
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-stestr,
 python3-sushy (>= 3.2.0),
 python3-testtools,
 python3-urllib3,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy-cli
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy-cli.git
Homepage: https://docs.openstack.org/sushy-cli/latest/

Package: python3-sushy-cli
Architecture: all
Depends:
 python3-cliff (>= 2.17.0),
 python3-sushy (>= 3.2.0),
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sushy-cli-doc,
Description: Redfish CLI tool based on sushy Redfish client library - Python 3.x
 Sushy CLI tool is intended to help human beings to communicate with Redfish
 based baseboard management controllers (BMC).
 .
 BMCs offer powerful means of controlling bare metal machines. For example, one
 can flip machine power, change BIOS configuration or even flash the firmware.
 .
 The sushycli tool offers a friendly command-line interface to some of the BMC
 features. It's main audience include software developers working on bare metal
 management automation and system administrators handling the raw iron with bare
 hands.
 .
 This package contains the Python 3.x module.

Package: python-sushy-cli-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Redfish CLI tool based on sushy Redfish client library - doc
 Sushy CLI tool is intended to help human beings to communicate with Redfish
 based baseboard management controllers (BMC).
 .
 BMCs offer powerful means of controlling bare metal machines. For example, one
 can flip machine power, change BIOS configuration or even flash the firmware.
 .
 The sushycli tool offers a friendly command-line interface to some of the BMC
 features. It's main audience include software developers working on bare metal
 management automation and system administrators handling the raw iron with bare
 hands.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/sushy-cli
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-sushy-cli-doc/usr/share/doc/python-sushy-cli-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-sushy-cli 0.4.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== doc/source/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = sushycli
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-sushy-cli (0.4.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090621).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:30:43 +0100

python-sushy-cli (0.4.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:35:14 +0200

python-sushy-cli (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:15:21 +0200

python-sushy-cli (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 16:28:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends:
  debhelper (>= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-cliff (>= 2.17.0),
+ python3-cliff,
  python3-coverage,
  python3-hacking,
  python3-openstackdocstheme,
  python3-oslotest,
  python3-stestr,
- python3-sushy (>= 3.2.0),
+ python3-sushy,
  python3-testtools,
  python3-urllib3,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy-cli
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy-cli.git
 Homepage: https://docs.openstack.org/sushy-cli/latest/
@@ -29,8 +29,8 @@
 Package: python3-sushy-cli
 Architecture: all
 Depends:
- python3-cliff (>= 2.17.0),
- python3-sushy (>= 3.2.0),
+ python3-cliff,
+ python3-sushy,
  python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/sushy-cli/tags .*/(\d[brc\d\.]+)\.tar\.gz
